#include maps\mp\_utility; //<-- multiplayer utility script needed for omaha

main()
{
	maps\mp\mp_d_omaha_fx::main();
	maps\mp\_load::main();

	setExpFog(.0002144, 0.55, 0.6, 0.55, 0);
	ambientPlay("ambient_mp_d_omaha");

	thread rotate_doors_init();

	game["allies"] = "american";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["american_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";

	setCvar("r_glowbloomintensity0", ".25");
	setCvar("r_glowbloomintensity1", ".25");
	setcvar("r_glowskybleedintensity0",".3");
}


//
// Door script for |D|isconnected Omaha


rotation_dir(door, other)
{
door_origin_x = door.origin[0];
door_origin_y = door.origin[1];
player_origin_x = other.origin[0];
player_origin_y = other.origin[1];
orient = int(door.script_noteworthy);
rotatedir = -90;

// This group is hard coded for a player radius shift based on orientation of the door, it will not suite angled doors.
if (orient == 0)
player_origin_y -= 50;
else if (orient == 180)
player_origin_y += 50;
else if (orient == 90)
player_origin_x -= 50;
else if (orient == 270)
player_origin_x += 50;

if ( ((orient == 0) && (player_origin_x < door_origin_x ) && (player_origin_y < door_origin_y)) ||
	((orient == 90) && (player_origin_x < door_origin_x ) && (player_origin_y > door_origin_y)) ||
	((orient == 180) && (player_origin_x > door_origin_x ) && (player_origin_y > door_origin_y)) ||
	((orient == 270) && (player_origin_x > door_origin_x ) && (player_origin_y < door_origin_y)) )

rotatedir = 90;

return rotatedir;
}


rotate_doors_init()
{
doortrigs = getentarray("door_trigger", "targetname");
doors = getentarray("door", "targetname");

for(i=0; i <doortrigs.size; i++)
{
doortrigs thread rotate_doors(doortrigs[i], doors[i]);
}
}


rotate_doors(trig, door)
{
if(isdefined(door))
{
while (1)
	{
	trig waittill("trigger", other);
	rotatedir = thread rotation_dir(door, other);
	door rotateYaw(rotatedir, 1.5, 0.7, 0.7);
	door playsound ("mp_v2_bunkerdooropen");
	door waittill("rotatedone");


	wait (2);

	while (isalive (other) && (other istouching (trig)))
	wait (1);
	wait (2);
	door rotateto ((0,0,0),1.5, 0.75, 0.75);


	door playsound ("mp_v2_bunkerdoorback");
	door waittill("rotatedone");
	door playsound ("mp_v2_bunkerdoorclose");
	}
}
}



/*